var EnemyCharacterClass_AntigravitySpine = function(stage, args){
    EnemyCharacterClass_AntigravitySpine.base.apply(this,[stage,[["toge.png",]]]);

this.size.x = 32;
this.size.y = 32;
 this.antigravity = 700 / GameManager.prototype.tickPerSecond ;
this.collisionMargin.top = 28;
this.chasingRange = 0;
this.movingVelocity =0;
this.hurt=0;
this.touchDamege=40;
this.damagePerTickBase = 20;
this.max_HP = 2000;
/*

MainCharacterが重力で乗ってる/左右から勢い余ってぶつかった場合はObjectAttackedが実行されるのでここで判定する必要はない
(ただただとげのすぐ横にキャラがいるだけでダメージを与える必要はない)

*/
stage.addStageObject(this);
}.extend(EnemyCharacterClass, {
	className: "EnemyCharacterClass_AntigravitySpine",

	objectAttacked : function(obj, obj_x, obj_y, direction)
	{
		if(obj instanceof MainCharacterClass)
		{
			//メインキャラクターに衝突された
			//ダメージの開始・終了処理
			if(direction & (CollideLeft | CollideRight | CollideTop)){
				if(!this.damaging){
					//メインキャラクタへのダメージ有効
					this.damaging = true;
					this.damagePerTickCount = this.damagePerTickBase;
				}
			}
			this.lastCollidedTick = this.ownerStage.manager.tickCount;
		}
	},
});